Name:           meanwhile
Version:        1.1.1
Release:    1%{?dist}
Summary:        Lotus Sametime Community Client library
License:        LGPLv2+
URL:            https://github.com/obriencj/%{name}

Source0:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-file-transfer.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig(glib-2.0) >= 2.0.0

%description
The heart of the %{name} Project is the %{name} library, providing the basic
Lotus Sametime session functionality along with the core services; Presence
Awareness, Instant Messaging, Multi-user Conferencing, Preferences Storage,
Identity Resolution, and File Transfer.

%package devel
Summary:        Header files, libraries and development documentation for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name}, you
will need to install %{name}-devel.

%package doc
Summary:        Documentation for the %{name} library
License:        GFDL
BuildArch:      noarch

%description doc
Documentation for the %{name} library.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fno-tree-vrp"
autoreconf -vif
%configure --enable-doxygen
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

mkdir docs
mv %{buildroot}%{_datadir}/doc/%{name}-doc-%{version}/{html,samples} docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}-doc-%{version}/


%files
%license COPYING
%doc AUTHORS ChangeLog README TODO LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc docs/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-1
- initial build
